Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 621947 - Cloned a Linux RHEL 6 Beta Image and placed in separate file system /virt01/
Cloned a Linux RHEL 6 Beta Image and placed in separate file system /virt01/
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.1
x86_64 Linux
low Severity high
: rc
: ---
Assigned To: Cole Robinson
Virtualization Bugs
: RHELNAK
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-06 11:27 EDT by Everett Bennett
Modified: 2011-04-14 01:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 622799 (view as bug list)
Environment:
Last Closed: 2010-08-17 14:19:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tar ball of logs and dumpxml of virt nodes. (7.40 KB, application/x-gzip)
2010-08-06 15:33 EDT, Everett Bennett
no flags Details

  None (edit)
Description Everett Bennett 2010-08-06 11:27:50 EDT
Description of problem:

Able to clone image, but unable to start.

Version-Release number of selected component (if applicable):

ibmblade08> rpm -qa|grep libvirt
libvirt-python-0.8.1-13.el6.x86_64
libvirt-java-devel-0.4.5-1.el6.noarch
libvirt-0.8.1-13.el6.x86_64
libvirt-client-0.8.1-13.el6.x86_64
libvirt-java-0.4.5-1.el6.noarch
libvirt-devel-0.8.1-13.el6.x86_64

ibmblade08> uname -a
Linux ibmblade08 2.6.32-44.2.el6.x86_64 #1 SMP Wed Jul 21 12:48:32 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux


How reproducible:

Clone a working virt image.  Tried simply copying and using the clone feature.
Results the same.

Additional info:

Error trace from virt-manager:

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/engine.py", line 878, in run_domain
    vm.startup()
  File "/usr/share/virt-manager/virtManager/domain.py", line 1313, in startup
    self._backend.create()
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 333, in create
    if ret == -1: raise libvirtError ('virDomainCreate() failed', dom=self)
libvirtError: internal error Process exited while reading console log output:
Comment 2 RHEL Product and Program Management 2010-08-06 11:47:55 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 3 Everett Bennett 2010-08-06 12:17:42 EDT
What do you mean blocker issue?
Comment 4 Everett Bennett 2010-08-06 12:21:26 EDT
We are a partner with RedHat and we are in the process of evaluating VMWARE ESX and RedHat Virtualization. Are the current limitations of RedHat Virtualizion?  Can you provide a doc link?
Comment 5 Cole Robinson 2010-08-06 12:38:56 EDT
If using virt-clone, please provide the output of virt-clone --debug or ~/.virtinst/virt-clone.log

Also, please provide

virsh dumpxml $vmname for both the original and clone VM
/var/log/libvirt/qemu/$vmname.log of the VM that fails to start.
Comment 6 Everett Bennett 2010-08-06 13:22:59 EDT
I am running virt-manager --debug.  I did notice that the cloned image root disk was set to IDE rather than virtio.  Oops.   Now I am cloning the orignal image alone with the 2 shared virtual disks from /var/lib/libvirt to /virt01/libvirt .

Is there documented steps on how to import a image after you say rsync:

- rsync -avzx /var/lib/libvirt/ /virt01/libvirt/

If you add the new images as "exiting" will virt-manager create the support files correctly or do you need to manually edit?
Comment 7 Everett Bennett 2010-08-06 15:08:16 EDT
I used the virt-manager again to clone and this time was successful.
I cloned the root and shared disk images.

The only thing that had to be changed this time was the ethN NICS.
I did the following to work around this:

 vi /etc/udev/rules.d/70-persistent-net.rules # remove eth0, eth1, eth2,
    and change eth3, eth4, and eth5 to eth0, eth1, and eth2
 vi /etc/sysconfig/network /etc/sysconfig/network-scripts/ifcfg-eth?
   # Change IP addresses

I also had to comment out the MAC addresses.
Comment 8 Everett Bennett 2010-08-06 15:20:09 EDT
I do have 1 question.  Can you use vgs created on the host?

bmblade08> lvs
    Logging initialised at Fri Aug  6 15:15:35 2010
    Set umask to 0077
    Finding all logical volumes
  LV    VG       Attr   LSize   Origin Snap%  Move Log Copy%  Convert
  lvol1 vgappl01 -wi-ao  45.40g                                      
  lvol1 vgappl02 -wi-ao  45.41g                                      
  lvol1 vgappl03 -wi-ao  45.41g                                      
  lvol1 vgdata01 -wi-ao  45.40g                                      
  lvol1 vgdata02 -wi-ao  45.41g                                      
  lvol1 vgdata03 -wi-ao  45.41g                                      
  lvol1 vgdata04 -wi-ao  45.40g                                      
  lvol1 vgdata05 -wi-ao  45.41g                                      
  lvol1 vgdata06 -wi-ao  45.41g                                      
  lvol1 virt01   -wi-ao 136.23g                                      
  lvol1 virt02   -wi-ao 136.23g                                      
    Wiping internal VG cache

I have 2 IBM Blades (ibmblade07/08) configured with RHEL6 Beta 2.
I would like to test virtual disks (.img) and physical disks.
Should I use the original phy devices or can I use lvms shared in a 2node RHEL6 Cluster Host?
Comment 9 Everett Bennett 2010-08-06 15:33:43 EDT
Created attachment 437246 [details]
tar ball of logs and dumpxml of virt nodes.

gtar ztvf ibmbldae08_var_log_libvirt.tgz
Comment 10 Everett Bennett 2010-08-10 08:49:19 EDT
Having better success with virt-manager, but the following changes were made after a image was cloned:

The NICs were renamed to eth3, eth4, and eth5.

vi /etc/udev/rules.d/70-persistent-net.rules # remove eth0, eth1, eth2,
and change eth3, eth4, and eth5 to eth0, eth1, and eth2
vi /etc/sysconfig/network /etc/sysconfig/network-scripts/ifcfg-eth?
# Change IP addresses


It seems that virt-manager with the --debug option works better.
Be sure and "quit" or "close" when done with virt-manager, otherwise mutiples will run.

Also, not related, the symlinks for clmvd seem to be set incorrectly.
CLVMD was starting before CMAN.  So, I relinked as follows:

.; for i in clvmd 
.; do
.; for j in 2 3 4 5
.; do
.; 	cd /etc/rc.d/rc${j}.d/ ; rm  S*${i} ; ln -s ../init.d/clvmd S25clvmd;ls -ld S*${i}
.; 


I hope the above notes are helpful.  You can close the ticket.  Other than the above items, this is a non-issue.  I will submit the clvmd sym link thing as a separate bug report.
Comment 11 Dave Allan 2010-08-17 14:19:28 EDT
Closing per comment #10.

Note You need to log in before you can comment on or make changes to this bug.